System Requirements        

To use ESET MSP Administrator, you must use version 6 ESET business products. This section includes information on the following:

Required and supported hardware and Databases

Operating Systems minimum system requirements

Supported ESET Products included in ESET MSP Administrator

 

ESET MSP Administrator (EMA web dashboard) Minimum System Requirements

Internet Explorer 7.0 and later

Mozilla Firefox 3.6 and later

Google Chrome 9 and later